## webalizer 1.20

=== Makefile ===
#
# Makefile for webalizer - a web server logfile analysis thingie
#
# (c)1997, 1998 by Bradford L. Barrett (brad@mrunix.net)
# Distributed under the GNU GPL. See "README" and "Copyright"
# files supplied with this distribution for more information.
#
# Change CC, CFLAGS and GDLIB for your site.
# Default is to use GNU gcc type stuff, and
# GDLIB defaults to /usr/local/include/gd, so
# if you put it somewhere else, change to match.

# Use these for SCO (and maybe others)
#CC=cc
#CFLAGS= -b elf

# These for GNU gcc
CC=gcc
CFLAGS= -O2 -Wall -fsigned-char

GDLIB = /usr/local/include/gd
LIBS= -lgd -lm

all: webalizer

webalizer: webalizer.o webalizer.h graphs.o graphs.h ctry.h
	$(CC) ${CFLAGS} -o webalizer webalizer.o graphs.o ${LIBS}

webalizer.o: webalizer.c webalizer.h webalizer_lang.h ctry.h
	$(CC) $(CFLAGS) -c webalizer.c

graphs.o: graphs.c graphs.h webalizer_lang.h
	$(CC) $(CFLAGS) -I$(GDLIB) -c graphs.c

clean:
	rm -f *.o webalizer
	rm -f  usage*.gif daily*.gif hourly*.gif ctry*.gif
	rm -f *.html *.hist core

distclean: clean
	rm -f webalizer.conf *.gz *.tar *.tgz *.Z
	rm -f webalizer-static

## webalizer 2.23.05

=== debian/changelog ===
webalizer (2.23.05-1ubuntu1) saucy; urgency=low

  * Drop build-depends on the runtime libgd2-{xpm,noxpm} packages.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 18 Jun 2013 18:38:06 -0600

webalizer (2.23.05-1build1) saucy; urgency=low

  * Rebuild for libgd3.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 00:35:03 +0100

webalizer (2.23.05-1) unstable; urgency=low

  [ Julien Viard de Galbert ]
  * New upstream release. Closes: #491200, #452259, #405699, #557038, #411482,
    #411847, #558751, #400256
  * Adopted package with maintainers consent.
  * Acknowledge all NUMs, thanks guys!
  * Repackaged using format 3.0 (quilt)
  * Converted debian/copyright to DEP-5 format
  * Converted patches from dpatch to quilt with DEP-3 header format
    - 01_basic_patch: dropped, most changes were integrated upstream.
      changes for consistency with previous version.
    - 02_64bit: dropped, already applied upstream.
    - 03_history: dropped, new version already have a 10 year history.
      Also this patch was not really compatible with 05_apache_logio in
      previous version, the summary page did not have the logio columns
      for the extra lines added by this history patch resulting in wrong
      array layout, as nobody complained on the BTS I assume nobody used
      the feature, so I remove it ;)
    - 04_geolizer: dropped, GeoIP already integrated upstream.
    - 05_apache_logio: ported to new version. 
      Integrating fix for the total calculation. Closes: #482771
      While porting I rewrote part of code that Closes: #558749
    - 06_UserColor: dropped, already integrated upstream.
    - 07_w3c-v4: dropped, already integrated upstream.
    - 08_symlink_vulnerability: dropped, already integrated upstream.
    - 09_ipv6_support: dropped, already implemented upstream.
    - 10_remove_db1_dependence: dropped, no longer needed.
    - 11_various_buffer_overflows: dropped, already integrated upstream.
    - 12_recognize_Opera_browsers: dropped, already integrated upstream.
    - 13_add_NoFollow_feature: dropped, upstream LinkReferrer option does it.
    - 14_add_search_engines: Modified to also uncomment the SearchEngine
      directives from the sample configuration.
    - 15_ignore_localhost: refreshed.
    - 16_fix_typos_webalizer.1: dropped, already integrated upstream.
    - 18_ttf_support_throught_libgd: refreshed.
    - 19_add_PagePrefix_feature: dropped, already integrated upstream.
    - 20_fix_capital_letter_option: dropped, already implemented upstream.
    - 21_remove_-v_option: dropped, upstream changed -v to verbose.
    - 22_php_as_htm_in_sample.conf: refreshed.
    - 17_gettext: imported and converted in three patches:
      + 23_gettext_first_part, 24_gettext_generated and 25_gettext_po_files
      + Fix month translations, thanks Gerome Fournier. Closes: #520408
      + Fix some encodings: cs.po (Closes: #409454), ko.po (Closes: #461176)
      + Restored ReportTitle and -t options.
  * Added new patches:
    - 01_symlink_vulnerability.diff fixing the symlink vulnerability for
      the .htaccess file (similar to previous 08_symlink_vulnerability)
    - 02_fix_a_spelling_error.diff fix a spelling error in wcmgr.c
    - 06_apache_logio_optional.diff this patch affect the apache_logio patch
      It adds a InOutKb option to make the In/Out KByte data optional.
      There are no command line option, but it can detect if logio data are
      available. So this should be fine to Closes: #399017
    - 07_apache_logio_color_config.diff this patch affect the two previous
      apache_logio patches. It adds options to configure the color for the
      new data.
  * Fixed cron job script in case all .conf are removed. Closes: #419717
  * Updated Catalan translation of debconf templates (Jordi Mallach).

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
    - Korean (강민지).  Closes: #632014, #632021
    - Dutch (Jeroen Schot).  Closes: #650645
    - Bokmål (Bjørn Steensrud).  Closes: #654801

  [ Felipe Augusto van de Wiel (faw) ]
  * Fix some spell errors in doc files.
  * Updated Policy to 3.9.2 without changes.

 -- Felipe Augusto van de Wiel (faw) <faw@debian.org>  Sun, 05 Feb 2012 16:21:18 -0200

webalizer (2.01.10-32.7) unstable; urgency=low

  * Non-maintainer upload.
  * Fix typo in cron.daily script. Closes: #491198
  * Bump debhelper compatibility from obsolete 4 to modern 7
  * As a consequence, replace calls to "dh_clean -k" to "dh_prep"
  * Add ${misc:Depends} to packages dependencies to properly
    cope with dependencies triggerred by debhelper
  * No longer ignore make errors in the clean target
  * Fix pending l10n issues. Debconf translations:
    - Basque (Piarres Beobide).  Closes: #503919

 -- Christian Perrier <bubulle@debian.org>  Sun, 28 Feb 2010 12:02:27 +0100

webalizer (2.01.10-32.6) unstable; urgency=low

  * NMU
  * Switch build dependency to libdb-dev (>= 4.7).  closes: #517286.

 -- Clint Adams <schizo@debian.org>  Fri, 25 Sep 2009 23:48:55 -0400

webalizer (2.01.10-32.5) unstable; urgency=low

  * Non-maintainer upload.
  * Actually enable nofollow in 13_add_NoFollow_feature.dpatch.
    (Closes: #293794)

 -- Robert Millan <rmh@aybabtu.com>  Sun, 05 Apr 2009 23:29:37 +0000

webalizer (2.01.10-32.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese. Closes: #500029
    - Traditional Chinese. Closes: #503166

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Oct 2008 20:45:54 +0100

webalizer (2.01.10-32.3) unstable; urgency=low

  * Non-maintainer upload.
  * Move Homepage to dedicated field in debian/control
  * Fix pending l10n issues
  * Debconf translations:
    - Russian. Closes: #481779
    - Swedish. Closes: #491787
    - Basque. Closes: #494797
    - Italian. Closes: #494837
    - Finnish. Closes: #495314

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 Aug 2008 09:59:34 +0200

webalizer (2.01.10-32.2) unstable; urgency=low



=== debian/control ===
Source: webalizer
Priority: optional
Section: web
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Julien Viard de Galbert <julien@vdg.blogsite.org>
Uploaders: Felipe Augusto van de Wiel (faw) <faw@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libgd2-noxpm-dev | libgd2-xpm-dev, libfreetype6-dev, libpng12-dev, libdb-dev (>= 4.7), libfreetype6, zlib1g-dev, gettext, po-debconf, autotools-dev, libgeoip-dev, autoconf, dh-autoreconf
Standards-Version: 3.9.2
Homepage: http://www.mrunix.net/webalizer/
Vcs-Git: git://git.debian.org/collab-maint/webalizer.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/webalizer.git;a=summary

Package: webalizer
Architecture: any
Suggests: httpd
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: debconf (>= 1.4.58) | debconf-2.0
Description: web server log analysis program
 The Webalizer was designed to scan web server log files in various formats
 and produce usage statistics in HTML format for viewing through a browser.
 The Webalizer produces yearly, monthly, daily and hourly statistics.  In
 the monthly reports, various statistics may be produced to show overall
 usage, usage by day and hour, usage by visiting sites, URLs, user agents
 (browsers), referrers and country.  The Webalizer is highly configurable by
 use of either command line options or a configuration file, allowing the
 program to be tailored to individual needs easily.

## webalizer 2.23.08

=== debian/changelog ===
webalizer (2.23.08-3.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer consent.
  * Updated Debconf translations:
    - German, thanks Markus Hiereth (Closes: #886029)
  * Obvious lintian fixes:
    - spelling-error-in-patch-description
    - vcs-obsolete-in-debian-infrastructure
    - file-contains-trailing-whitespace
    - insecure-copyright-format-uri
  * Suggest new fonts-* package names. (Closes: #885464)

 -- Helge Kreutzmann <debian@helgefjell.de>  Mon, 15 Oct 2018 17:03:02 +0200

webalizer (2.23.08-3) unstable; urgency=medium

  * Update debhelper to compat level 10 (remove explicit use of autoreconf as
    it's now the default).
  * Fix an error in Vcs field introduced while switching URLs to https
  * Updated Policy to 4.1.2 without changes.
  * Change dependency from libgd2-dev to libgd-dev. (Closes: #880783)
  * Debconf translation:
    - Russian, thanks Lev Lamberov. (Closes: #883914)
    - Portuguese. (Closes: #870528)
    - French, thanks Alban Vidal. (Closes: #873685).

 -- Julien Viard de Galbert <julien@vdg.blogsite.org>  Tue, 26 Dec 2017 22:34:30 +0100

webalizer (2.23.08-2) unstable; urgency=low

  * Add Slovak po-debconf translation, thanks Slavko. Closes: #688906
  * Fix VCS-* field (Lintian)
  * Change dh compat to 9 for hardening flags and enable hardening
  * Updated Policy to 4.0.0 without changes.
  * Added a note in README.Debian about other_vhost log. Closes: #681868
  * Added a debconf question to generate the config file. Closes: #482368
  * Suggest some ttf fonts. Closes: #604428
  * Recommends: geoip-database. Closes: #532123
  * Fix in cron job from Niccolo Rigacci, thanks. Closes: #741515
  * Debconf translation:
    - Dutch (Frans Spiesschaert).  Closes: #763863
  * New patch 03_fix_etc_path_in_man.  Closes: #794822
  * New patch 08_use_memmove_for_overlapping_blocks.
    Closes: #858602 LP: #1399615
  * New patch to add python script to convert lang file to po file
  * Updated webalizer fr.po in gettest_po-files.diff using convertlang2po.py
    plus some more manual editing.
  * Fix several typo reported by lintian

 -- Julien Viard de Galbert <julien@vdg.blogsite.org>  Thu, 13 Jul 2017 00:40:59 +0200

webalizer (2.23.08-1) unstable; urgency=low

  * New upstream release.
  * Change Build-Depends from libpng12-dev to libpng-dev. Closes: #662546
  * Updated Policy to 3.9.3 while fixing d/copyright Format URL.
  * Change Build-Depends to libgd2-dev without xpm/noxpm. Closes: #714879
  * Use conf sample in /etc not in /u/s/doc to generate config. Closes: #710784
  * Match space and tab while editing conf. Closes: #445410, #430658

 -- Julien Viard de Galbert <julien@vdg.blogsite.org>  Tue, 08 May 2012 21:58:08 +0200

=== debian/control ===
Source: webalizer
Priority: optional
Section: web
Maintainer: Julien Viard de Galbert <julien@vdg.blogsite.org>
Uploaders: Felipe Augusto van de Wiel (faw) <faw@debian.org>
Build-Depends: debhelper (>= 10), libgd-dev, libfreetype6-dev, libpng-dev, libdb-dev (>= 4.7), zlib1g-dev, gettext, po-debconf, libgeoip-dev, autoconf
Standards-Version: 4.1.2
Homepage: http://www.mrunix.net/webalizer/
#Vcs-Git: https://anonscm.debian.org/git/collab-maint/webalizer.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/webalizer.git/

Package: webalizer
Architecture: any
Recommends: geoip-database
Suggests: httpd, fonts-dejavu-core | fonts-freefont-ttf
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: debconf (>= 1.4.58) | debconf-2.0
Description: web server log analysis program
 The Webalizer was designed to scan web server log files in various formats
 and produce usage statistics in HTML format for viewing through a browser.
 The Webalizer produces yearly, monthly, daily and hourly statistics.  In
 the monthly reports, various statistics may be produced to show overall
 usage, usage by day and hour, usage by visiting sites, URLs, user agents
 (browsers), referrers and country.  The Webalizer is highly configurable by
 use of either command line options or a configuration file, allowing the
 program to be tailored to individual needs easily.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc/webalizer --enable-dns --enable-geoip --datadir=/usr/share --with-etcdir=/etc/webalizer

override_dh_installdirs:
	dh_installdirs
	# Create locale directories
	for i in $$(ls po/*.mo -1 -f | sed -e 's/po\///g' -e 's/\.mo//g'); do \
		mkdir -p $(CURDIR)/debian/webalizer/usr/share/locale/$$i/LC_MESSAGES; \
	done

=== debian/watch ===
version=3
opts=uversionmangle=s/-/./ \
	http://www.mrunix.net/webalizer/download.html webalizer-(.*)-src\.tgz
